Attribute VB_Name = "modMain"
Option Explicit

Public Declare Function GetCursorPos Lib "user32" (lpPoint As POINTAPI) As Long
Public Declare Function ClientToScreen Lib "user32" (ByVal hWnd As Long, lpPoint As POINTAPI) As Long

Public sStartPfad As String
Public cfgFile As String

Public sVbSyntaxFile As String

Public bSetLineBreak As Boolean
Public bDocIsConverted As Boolean

Dim ZeichenHtml() As String, ZeichenAnsi() As String

Sub Main()
  Dim lCharCount As Long, i As Long
  Dim sTemp As String
  cfgFile = App.Path & "\" & App.EXEName & ".cfg"
  sVbSyntaxFile = App.Path & "\" & fGetIniItem("SYNTAXFILES", "vbsyntaxfile", cfgFile)
  sStartPfad = App.Path & "\" & fGetIniItem("MAINSETTINGS", "startpfad", cfgFile)

  lCharCount = fGetIniItem("HTMLANSI", "charcount", cfgFile)

  For i = 1 To lCharCount Step 1
    ReDim Preserve ZeichenHtml(0 To i) As String
    sTemp = fGetIniItem("HTMLANSI", "html" & i, cfgFile)
    sTemp = Replace(sTemp, "\t", vbTab)
    sTemp = Replace(sTemp, "\s", " ")
    ZeichenHtml(i) = sTemp
  Next i

  For i = 1 To lCharCount Step 1
    ReDim Preserve ZeichenAnsi(0 To i) As String
    sTemp = fGetIniItem("HTMLANSI", "ansi" & i, cfgFile)
    sTemp = Replace(sTemp, "\t", vbTab)
    sTemp = Replace(sTemp, "\s", " ")
    ZeichenAnsi(i) = sTemp
  Next i

  bSetLineBreak = False
  bDocIsConverted = False
End Sub

Public Function fToHTML(ByVal sInp As String) As String
  Dim i As Integer
  For i = 1 To UBound(ZeichenAnsi)
    sInp = fSwapElement(sInp, ZeichenAnsi(i), ZeichenHtml(i))
  Next i
  fToHTML = sInp
End Function

Private Function fSwapElement(ByVal sInp As String, ByVal sSrc As String, ByVal sDes As String) As String
  Dim lPos As Long, a1 As String, a2 As String
  lPos = 1
  Do
    lPos = InStr(lPos, sInp, sSrc)
    If lPos = 0 Then Exit Do
    If lPos <> 1 Then a1 = Left$(sInp, lPos - 1)
    a2 = Mid$(sInp, lPos + Len(sSrc), Len(sInp))
    sInp = a1 + sDes + a2
    lPos = lPos + 1
  Loop
  fSwapElement = sInp
End Function

